Bug 1117601 - (CVE-2014-4349) CVE-2014-4349 phpMyAdmin: Self-XSS due to unescaped HTML output in navigation items hiding feature
CVE-2014-4349 phpMyAdmin: Self-XSS due to unescaped HTML output in navigation...
Status: CLOSED CURRENTRELEASE
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20140620,repor...
: Security
Depends On: 1117602 1117603 1117604 1117605
Blocks:
  Show dependency treegraph
 
Reported: 2014-07-08 23:56 EDT by Kurt Seifried
Modified: 2014-11-19 02:00 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-11-19 02:00:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kurt Seifried 2014-07-08 23:56:40 EDT
The phpMyAdmin project reports:

Summary

Self-XSS due to unescaped HTML output in navigation items hiding feature.

Description

When hiding or unhiding a crafted table name in the navigation, it is possible to trigger an XSS.

External references:
http://www.phpmyadmin.net/home_page/security/PMASA-2014-3.php
Comment 1 Kurt Seifried 2014-07-08 23:57:50 EDT
Created phpMyAdmin tracking bugs for this issue:

Affects: epel-5 [bug 1117602]
Comment 2 Kurt Seifried 2014-07-08 23:58:11 EDT
Created phpMyAdmin tracking bugs for this issue:

Affects: epel-6 [bug 1117603]
Comment 3 Kurt Seifried 2014-07-09 00:00:15 EDT
Created phpMyAdmin tracking bugs for this issue:

Affects: fedora-all [bug 1117604]
Comment 5 Fedora Update System 2014-07-30 03:01:17 EDT
phpMyAdmin-4.2.6-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2014-07-30 03:02:40 EDT
phpMyAdmin-4.2.6-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2014-08-07 07:46:16 EDT
phpMyAdmin-4.0.10.1-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2014-10-09 15:55:15 EDT
phpMyAdmin4-4.0.10.3-2.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Kurt Seifried 2014-11-19 02:00:41 EST
OpenShift currently ships phpMyAdmin-4.0.10.5 which fixes PMASA-2014-12 and all earlier issues.

http://www.phpmyadmin.net/home_page/security/

Note You need to log in before you can comment on or make changes to this bug.